> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/recipients/create-recipient/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # Create a Recipient POST https://api.sandbox.mangopay.com/v2.01/{ClientId}/users/{UserId}/recipients Content-Type: application/json Register a bank account for local or international payouts. **Caution – Fetch schema and validate data before creation** Before using this endpoint to register a Recipient for a user, for the given currency, payout method, and recipient type combination, always: * Fetch the schema dynamically using [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema) * Check that the user's data is valid using [POST Validate data for a Recipient](/api-reference/recipients/validate-recipient-data) **Note – SCA triggered by this endpoint** Registering a bank account as a Recipient always requires the user to [authenticate using SCA](/guides/sca/recipients) on a Mangopay-hosted webpage, unless your platform is using a [proxy and user consent](/guides/sca/proxy-management). To let the user complete the SCA session, your platform needs to retrieve the returned `PendingUserAction.RedirectUrl`, add an encoded `returnUrl` query parameter, and redirect the user. Read more about how to redirect them in the [SCA session](/guides/sca/session) guide. If SCA is not successfully completed, the Recipient `Status` becomes `CANCELED` and you need to create a new Recipient to try again. In Sandbox, you can bypass SCA by including the word `accept` in the `Email` value of the [Natural User](/api-reference/users/natural-user-object-sca) or the `LegalRepresentative.Email` value of the [Legal User](/api-reference/users/legal-user-object-sca) – for example `accept@example.com` or `john.doe+accept@example.com`. Recipient creation is asynchronous, meaning that this endpoint returns the `Status` as `PENDING` regardless of whether SCA is required (when `RecipientScope` is `PAYOUT`) or not. In all cases, your integration should rely on the `RECIPIENT_ACTIVE` [webhook](/webhooks/event-types#recipients) to know when the recipient is `ACTIVE`. Verification of Payee (VOP) impacts SEPA local schemes, which means Recipients with `Currency` value `EUR` and `PayoutMethodType` value `LocalBankTransfer`. [Read more](/guides/vop/recipients-payouts) **→** Reference: https://docs.mangopay.com/api-reference/recipients/create-recipient ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. - `UserId` (string, required) — The unique identifier of the user. ### Body (application/json) This endpoint expects a CreateARecipientRequest. - `CreateARecipientRequest` ## Response ### 201 Created - `RecipientResponse` ## Errors ### 400 Bad Request Error Bad Request - `Message` (string, optional) — Description of the error. - `Type` (string, optional) — The category of the error. - `Id` (string, optional) — Unique identifier of the error instance, useful when contacting Mangopay for support. - `Date` (double, optional) — Unix timestamp (UTC) of the date and time the error was triggered. - `errors` (map from string to string, optional, nullable) — Object containing one or more field-level errors. ### 401 Unauthorized Error Unauthorized - `Message` (string, optional) — Description of the error. - `Type` (string, optional) — The category of the error. - `Id` (string, optional) — Unique identifier of the error instance, useful when contacting Mangopay for support. - `Date` (double, optional) — Unix timestamp (UTC) of the date and time the error was triggered. - `errors` (map from string to string, optional, nullable) — Object containing one or more field-level errors. ## Types ### CreateInternationalIndividualRecipientRequest Request body for creating a Recipient where `PayoutMethodType` is `InternationalBankTransfer` and `RecipientType` is `Individual`. - `DisplayName` (string, required) — Length: 1–50; cannot contain: `&,'/` (pattern:`^(?!.*[&,'/]).{1,50}$`) A user-friendly name to identify the account. This value cannot be changed once the recipient is created. - `Currency` (string, required) — **Possible values:** `AED`, `AUD`, `CAD`, `CHF`, `CNH`, `CZK`, `DKK`, `EUR`, `GBP`, `HKD`, `HUF`, `ILS`, `JPY`, `MXN`, `NOK`, `NZD`, `PLN`, `RON`, `SAR`, `SEK`, `SGD`, `TRY`, `USD`, `ZAR` The currency of the recipient. - `Country` (string, required) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The destination country of the payout method. - `PayoutMethodType` (string, required) — **Allowed values:** `InternationalBankTransfer` The payout method of the recipient: - `InternationalBankTransfer` – The account can receive non-local currencies via SWIFT or else uses local rails for local currencies by default. - `LocalBankTransfer` – The account can **only** receive the corresponding local `Currency` for the `Country` (e.g. `EUR` to a SEPA country, `GBP` to a UK account, `PLN` to a Polish IBAN, etc.) - `RecipientType` (string, required) — **Allowed values:** `Individual` The recipient type: - `Individual` – An account held by a natural person, requiring the `IndividualRecipient` property. - `Business` – An account held by a legal entity, requiring the `BusinessRecipient` property. - `IndividualRecipient` (IndividualRecipient_Request, required) — The account holder if the `RecipientType` is `Individual`. Only one of `IndividualRecipient` or `BusinessRecipient` is required. - `InternationalBankTransfer` (InternationalBankTransfer_Request, required) — The account details if `PayoutMethodType` is `InternationalBankTransfer`. Only one of `InternationalBankTransfer` or `LocalBankTransfer` is required. The `InternationalBankTransfer` depends on the `Currency` and `Country`. - `RecipientScope` (string, optional) — **Possible values:** `PAYIN`, `PAYOUT` **Default value:** `PAYOUT` The scope of the recipient: - `PAYOUT` – Usable for payouts and in pay-in use cases. A `PAYOUT` recipient can only be created by a user with the `UserCategory` `OWNER` and requires SCA. You need to use the returned `PendingUserAction.RedirectUrl` value, adding your encoded `returnUrl` as a query parameter, to redirect the user to the [hosted SCA session](/guides/sca/session) so they can complete the necessary steps. - `PAYIN` - Not usable for payouts but only usable for pay-in use cases, such as direct debit and refunds using payouts. A `PAYIN` recipient can be created by a user with the `UserCategory` `PAYER` or `OWNER`, and does not require SCA. - `Tag` (string, optional, nullable) — Max. length: 255 (pattern: `^.{0,255}$`) Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. This value cannot be edited once created. - `ScaContext` (string, optional) — **Possible values:** `USER_PRESENT`, `USER_NOT_PRESENT` **Default value:** `USER_PRESENT` The SCA context of the request, which is **required** if the user's `UserCategory` is `OWNER`: - `USER_PRESENT` – The user is taking the SCA-triggering action of registering an external account as a Recipient. The platform must [redirect the user](/guides/sca/session) using the `PendingUserAction.RedirectUrl` returned so that the user can complete the SCA session. - `USER_NOT_PRESENT` – The platform is taking the action under proxy from the user and the user has previously given consent to Mangopay (via the SCA hosted experience) to allow the action. If the user has not given (or has revoked) their consent, then `USER_NOT_PRESENT` returns a 403 error. Read more about [managing proxy and user consent](/guides/sca/proxy-management) **→** ### CreateInternationalBusinessRecipientRequest Request body for creating a Recipient where `PayoutMethodType` is `InternationalBankTransfer` and `RecipientType` is `Business`. - `DisplayName` (string, required) — Length: 1–50; cannot contain: `&,'/` (pattern:`^(?!.*[&,'/]).{1,50}$`) A user-friendly name to identify the account. This value cannot be changed once the recipient is created. - `Currency` (string, required) — **Possible values:** `AED`, `AUD`, `CAD`, `CHF`, `CNH`, `CZK`, `DKK`, `EUR`, `GBP`, `HKD`, `HUF`, `ILS`, `JPY`, `MXN`, `NOK`, `NZD`, `PLN`, `RON`, `SAR`, `SEK`, `SGD`, `TRY`, `USD`, `ZAR` The currency of the recipient. - `Country` (string, required) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The destination country of the payout method. - `PayoutMethodType` (string, required) — **Allowed values:** `InternationalBankTransfer` The payout method of the recipient: - `InternationalBankTransfer` – The account can receive non-local currencies via SWIFT or else uses local rails for local currencies by default. - `LocalBankTransfer` – The account can **only** receive the corresponding local `Currency` for the `Country` (e.g. `EUR` to a SEPA country, `GBP` to a UK account, `PLN` to a Polish IBAN, etc.) - `RecipientType` (string, required) — **Allowed values:** `Business` The recipient type: - `Individual` – An account held by a natural person, requiring the `IndividualRecipient` property. - `Business` – An account held by a legal entity, requiring the `BusinessRecipient` property. - `BusinessRecipient` (BusinessRecipient_Request, required) — The account holder if the `RecipientType` is `Business`. Only one of `IndividualRecipient` or `BusinessRecipient` is required. - `InternationalBankTransfer` (InternationalBankTransfer_Request, required) — The account details if `PayoutMethodType` is `InternationalBankTransfer`. Only one of `InternationalBankTransfer` or `LocalBankTransfer` is required. The `InternationalBankTransfer` depends on the `Currency` and `Country`. - `RecipientScope` (string, optional) — **Possible values:** `PAYIN`, `PAYOUT` **Default value:** `PAYOUT` The scope of the recipient: - `PAYOUT` – Usable for payouts and in pay-in use cases. A `PAYOUT` recipient can only be created by a user with the `UserCategory` `OWNER` and requires SCA. You need to use the returned `PendingUserAction.RedirectUrl` value, adding your encoded `returnUrl` as a query parameter, to redirect the user to the [hosted SCA session](/guides/sca/session) so they can complete the necessary steps. - `PAYIN` - Not usable for payouts but only usable for pay-in use cases, such as direct debit and refunds using payouts. A `PAYIN` recipient can be created by a user with the `UserCategory` `PAYER` or `OWNER`, and does not require SCA. - `Tag` (string, optional, nullable) — Max. length: 255 (pattern: `^.{0,255}$`) Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. This value cannot be edited once created. - `ScaContext` (string, optional) — **Possible values:** `USER_PRESENT`, `USER_NOT_PRESENT` **Default value:** `USER_PRESENT` The SCA context of the request, which is **required** if the user's `UserCategory` is `OWNER`: - `USER_PRESENT` – The user is taking the SCA-triggering action of registering an external account as a Recipient. The platform must [redirect the user](/guides/sca/session) using the `PendingUserAction.RedirectUrl` returned so that the user can complete the SCA session. - `USER_NOT_PRESENT` – The platform is taking the action under proxy from the user and the user has previously given consent to Mangopay (via the SCA hosted experience) to allow the action. If the user has not given (or has revoked) their consent, then `USER_NOT_PRESENT` returns a 403 error. Read more about [managing proxy and user consent](/guides/sca/proxy-management) **→** ### CreateLocalIndividualRecipientRequest Request body for creating a Recipient where `PayoutMethodType` is `LocalBankTransfer` and `RecipientType` is `Individual`. - `DisplayName` (string, required) — Length: 1–50; cannot contain: `&,'/` (pattern:`^(?!.*[&,'/]).{1,50}$`) A user-friendly name to identify the account. This value cannot be changed once the recipient is created. - `Currency` (string, required) — **Possible values:** `AED`, `AUD`, `CAD`, `CHF`, `CNH`, `CZK`, `DKK`, `EUR`, `GBP`, `HKD`, `HUF`, `ILS`, `JPY`, `MXN`, `NOK`, `NZD`, `PLN`, `RON`, `SAR`, `SEK`, `SGD`, `TRY`, `USD`, `ZAR` The currency of the recipient. - `Country` (string, required) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The destination country of the payout method. - `PayoutMethodType` (string, required) — **Allowed values:** `LocalBankTransfer` The payout method of the recipient: - `InternationalBankTransfer` – The account can receive non-local currencies via SWIFT or else uses local rails for local currencies by default. - `LocalBankTransfer` – The account can **only** receive the corresponding local `Currency` for the `Country` (e.g. `EUR` to a SEPA country, `GBP` to a UK account, `PLN` to a Polish IBAN, etc.) - `RecipientType` (string, required) — **Allowed values:** `Individual` The recipient type: - `Individual` – An account held by a natural person, requiring the `IndividualRecipient` property. - `Business` – An account held by a legal entity, requiring the `BusinessRecipient` property. - `IndividualRecipient` (IndividualRecipient_Request, required) — The account holder if the `RecipientType` is `Individual`. Only one of `IndividualRecipient` or `BusinessRecipient` is required. - `LocalBankTransfer` (LocalBankTransfer_Request, required) — The account details if `PayoutMethodType` is `LocalBankTransfer`, depending on the `Currency`. Exactly one currency property must be set, matching the request `Currency` value. - `RecipientScope` (string, optional) — **Possible values:** `PAYIN`, `PAYOUT` **Default value:** `PAYOUT` The scope of the recipient: - `PAYOUT` – Usable for payouts and in pay-in use cases. A `PAYOUT` recipient can only be created by a user with the `UserCategory` `OWNER` and requires SCA. You need to use the returned `PendingUserAction.RedirectUrl` value, adding your encoded `returnUrl` as a query parameter, to redirect the user to the [hosted SCA session](/guides/sca/session) so they can complete the necessary steps. - `PAYIN` - Not usable for payouts but only usable for pay-in use cases, such as direct debit and refunds using payouts. A `PAYIN` recipient can be created by a user with the `UserCategory` `PAYER` or `OWNER`, and does not require SCA. - `Tag` (string, optional, nullable) — Max. length: 255 (pattern: `^.{0,255}$`) Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. This value cannot be edited once created. - `ScaContext` (string, optional) — **Possible values:** `USER_PRESENT`, `USER_NOT_PRESENT` **Default value:** `USER_PRESENT` The SCA context of the request, which is **required** if the user's `UserCategory` is `OWNER`: - `USER_PRESENT` – The user is taking the SCA-triggering action of registering an external account as a Recipient. The platform must [redirect the user](/guides/sca/session) using the `PendingUserAction.RedirectUrl` returned so that the user can complete the SCA session. - `USER_NOT_PRESENT` – The platform is taking the action under proxy from the user and the user has previously given consent to Mangopay (via the SCA hosted experience) to allow the action. If the user has not given (or has revoked) their consent, then `USER_NOT_PRESENT` returns a 403 error. Read more about [managing proxy and user consent](/guides/sca/proxy-management) **→** ### CreateLocalBusinessRecipientRequest Request body for creating a Recipient where `PayoutMethodType` is `LocalBankTransfer` and `RecipientType` is `Business`. - `DisplayName` (string, required) — Length: 1–50; cannot contain: `&,'/` (pattern:`^(?!.*[&,'/]).{1,50}$`) A user-friendly name to identify the account. This value cannot be changed once the recipient is created. - `Currency` (string, required) — **Possible values:** `AED`, `AUD`, `CAD`, `CHF`, `CNH`, `CZK`, `DKK`, `EUR`, `GBP`, `HKD`, `HUF`, `ILS`, `JPY`, `MXN`, `NOK`, `NZD`, `PLN`, `RON`, `SAR`, `SEK`, `SGD`, `TRY`, `USD`, `ZAR` The currency of the recipient. - `Country` (string, required) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The destination country of the payout method. - `PayoutMethodType` (string, required) — **Allowed values:** `LocalBankTransfer` The payout method of the recipient: - `InternationalBankTransfer` – The account can receive non-local currencies via SWIFT or else uses local rails for local currencies by default. - `LocalBankTransfer` – The account can **only** receive the corresponding local `Currency` for the `Country` (e.g. `EUR` to a SEPA country, `GBP` to a UK account, `PLN` to a Polish IBAN, etc.) - `RecipientType` (string, required) — **Allowed values:** `Business` The recipient type: - `Individual` – An account held by a natural person, requiring the `IndividualRecipient` property. - `Business` – An account held by a legal entity, requiring the `BusinessRecipient` property. - `BusinessRecipient` (BusinessRecipient_Request, required) — The account holder if the `RecipientType` is `Business`. Only one of `IndividualRecipient` or `BusinessRecipient` is required. - `LocalBankTransfer` (LocalBankTransfer_Request, required) — The account details if `PayoutMethodType` is `LocalBankTransfer`, depending on the `Currency`. Exactly one currency property must be set, matching the request `Currency` value. - `RecipientScope` (string, optional) — **Possible values:** `PAYIN`, `PAYOUT` **Default value:** `PAYOUT` The scope of the recipient: - `PAYOUT` – Usable for payouts and in pay-in use cases. A `PAYOUT` recipient can only be created by a user with the `UserCategory` `OWNER` and requires SCA. You need to use the returned `PendingUserAction.RedirectUrl` value, adding your encoded `returnUrl` as a query parameter, to redirect the user to the [hosted SCA session](/guides/sca/session) so they can complete the necessary steps. - `PAYIN` - Not usable for payouts but only usable for pay-in use cases, such as direct debit and refunds using payouts. A `PAYIN` recipient can be created by a user with the `UserCategory` `PAYER` or `OWNER`, and does not require SCA. - `Tag` (string, optional, nullable) — Max. length: 255 (pattern: `^.{0,255}$`) Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. This value cannot be edited once created. - `ScaContext` (string, optional) — **Possible values:** `USER_PRESENT`, `USER_NOT_PRESENT` **Default value:** `USER_PRESENT` The SCA context of the request, which is **required** if the user's `UserCategory` is `OWNER`: - `USER_PRESENT` – The user is taking the SCA-triggering action of registering an external account as a Recipient. The platform must [redirect the user](/guides/sca/session) using the `PendingUserAction.RedirectUrl` returned so that the user can complete the SCA session. - `USER_NOT_PRESENT` – The platform is taking the action under proxy from the user and the user has previously given consent to Mangopay (via the SCA hosted experience) to allow the action. If the user has not given (or has revoked) their consent, then `USER_NOT_PRESENT` returns a 403 error. Read more about [managing proxy and user consent](/guides/sca/proxy-management) **→** ### CreateInternationalIndividualRecipientResponse Response body for a Recipient where `PayoutMethodType` is `InternationalBankTransfer` and `RecipientType` is `Individual`. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Status` (string, optional) — **Returned values:** `PENDING`, `CANCELED`, `ACTIVE`, `DEACTIVATED` The status of the recipient: - `PENDING` – For `PAYOUT` scope recipients, the user must complete SCA before the recipient can become `ACTIVE`. For `PAYIN` scope recipients, the recipient creation is in progress. - `CANCELED` – SCA was not successfully completed and the recipient creation request was canceled. To retry, create another recipient to retrieve another `PendingUserAction.RedirectUrl`. The `CANCELED` status does not apply if `RecipientScope` is `PAYIN`. - `ACTIVE` – Recipient creation was successful (including SCA if `RecipientScope` is `PAYOUT`) and the recipient is ready to be used for payouts. - `DEACTIVATED` – The recipient has been permanently deactivated and can no longer be used. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `DisplayName` (string, optional, nullable) — Length: 1–50; cannot contain: `&,'/` (pattern:`^(?!.*[&,'/]).{1,50}$`) A user-friendly name to identify the account. This value cannot be changed once the recipient is created. - `Currency` (string, optional) — **Possible values:** `AED`, `AUD`, `CAD`, `CHF`, `CNH`, `CZK`, `DKK`, `EUR`, `GBP`, `HKD`, `HUF`, `ILS`, `JPY`, `MXN`, `NOK`, `NZD`, `PLN`, `RON`, `SAR`, `SEK`, `SGD`, `TRY`, `USD`, `ZAR` The currency of the recipient. - `Country` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The destination country of the payout method. - `UserId` (string, optional) — The unique identifier of the user. - `RecipientScope` (string, optional) — **Returned values:** `PAYIN`, `PAYOUT` The scope of the recipient: - `PAYOUT` – Usable for payouts and in pay-in use cases. A `PAYOUT` recipient can only be created by a user with the `UserCategory` `OWNER` and requires SCA. - `PAYIN` - Not usable for payouts but only usable for pay-in use cases, such as direct debit and refunds using payouts. A `PAYIN` recipient can be created by a user with the `UserCategory` `PAYER` or `OWNER`, and does not require SCA. Both `PAYIN` and `PAYOUT` scopes can be created for either `InternationalBankTransfer` or `LocalBankTransfer`, and for either `IndividualRecipient` or `BusinessRecipient`, and for any `Currency`. - `Tag` (string, optional, nullable) — Max. length: 255 (pattern: `^.{0,255}$`) Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. This value cannot be edited once created. - `ScaContext` (string, optional) — **Returned values:** `USER_PRESENT`, `USER_NOT_PRESENT` The SCA context provided in the create request. Returned in the create response and when viewing the recipient if a `ScaContext` value was sent when the recipient was registered. Omitted otherwise. - `RecipientVerificationOfPayee` (RecipientVerificationOfPayee, optional, nullable) — Information about the [Verification of Payee (VOP)](/guides/vop) check performed on the Recipient. Because VOP only applies to SEPA local schemes, this object is returned `null` if the Recipient's `Currency` is not `EUR` or its `PayoutMethodType` is not `LocalBankTransfer`. - `PayoutMethodType` (string, optional) — **Returned values:** `InternationalBankTransfer` The payout method of the recipient: - `LocalBankTransfer` – The account can **only** receive the corresponding local `Currency` for the `Country` via the [domestic payment rail](/guides/payouts#payout-rails) (e.g. `EUR` via a SEPA local scheme to a SEPA country, `GBP` via FPS to a `GB` account, `USD` via ACH to a `US` account, etc). Payouts in non-local currencies return an error. - `InternationalBankTransfer` – The account can receive both non-local currencies via SWIFT and also local currency via domestic rails. - `RecipientType` (string, optional) — **Returned values:** `Individual` The recipient type: - `Individual` – An account held by a natural person, requiring the `IndividualRecipient` property. - `Business` – An account held by a legal entity, requiring the `BusinessRecipient` property. - `IndividualRecipient` (IndividualRecipient_Response, optional) — The account holder if the `RecipientType` is `Individual`. - `InternationalBankTransfer` (InternationalBankTransfer_Response, optional) — The account details if `PayoutMethodType` is `InternationalBankTransfer`. - `PendingUserAction` (PendingUserAction, optional, nullable) — SCA redirect information returned when registering an `OWNER` Recipient on creation. Returned `null` for `PAYIN`-scope recipients that don't trigger SCA. Omitted when viewing a recipient. ### CreateInternationalBusinessRecipientResponse Response body for a Recipient where `PayoutMethodType` is `InternationalBankTransfer` and `RecipientType` is `Business`. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Status` (string, optional) — **Returned values:** `PENDING`, `CANCELED`, `ACTIVE`, `DEACTIVATED` The status of the recipient: - `PENDING` – For `PAYOUT` scope recipients, the user must complete SCA before the recipient can become `ACTIVE`. For `PAYIN` scope recipients, the recipient creation is in progress. - `CANCELED` – SCA was not successfully completed and the recipient creation request was canceled. To retry, create another recipient to retrieve another `PendingUserAction.RedirectUrl`. The `CANCELED` status does not apply if `RecipientScope` is `PAYIN`. - `ACTIVE` – Recipient creation was successful (including SCA if `RecipientScope` is `PAYOUT`) and the recipient is ready to be used for payouts. - `DEACTIVATED` – The recipient has been permanently deactivated and can no longer be used. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `DisplayName` (string, optional, nullable) — Length: 1–50; cannot contain: `&,'/` (pattern:`^(?!.*[&,'/]).{1,50}$`) A user-friendly name to identify the account. This value cannot be changed once the recipient is created. - `Currency` (string, optional) — **Possible values:** `AED`, `AUD`, `CAD`, `CHF`, `CNH`, `CZK`, `DKK`, `EUR`, `GBP`, `HKD`, `HUF`, `ILS`, `JPY`, `MXN`, `NOK`, `NZD`, `PLN`, `RON`, `SAR`, `SEK`, `SGD`, `TRY`, `USD`, `ZAR` The currency of the recipient. - `Country` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The destination country of the payout method. - `UserId` (string, optional) — The unique identifier of the user. - `RecipientScope` (string, optional) — **Returned values:** `PAYIN`, `PAYOUT` The scope of the recipient: - `PAYOUT` – Usable for payouts and in pay-in use cases. A `PAYOUT` recipient can only be created by a user with the `UserCategory` `OWNER` and requires SCA. - `PAYIN` - Not usable for payouts but only usable for pay-in use cases, such as direct debit and refunds using payouts. A `PAYIN` recipient can be created by a user with the `UserCategory` `PAYER` or `OWNER`, and does not require SCA. Both `PAYIN` and `PAYOUT` scopes can be created for either `InternationalBankTransfer` or `LocalBankTransfer`, and for either `IndividualRecipient` or `BusinessRecipient`, and for any `Currency`. - `Tag` (string, optional, nullable) — Max. length: 255 (pattern: `^.{0,255}$`) Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. This value cannot be edited once created. - `ScaContext` (string, optional) — **Returned values:** `USER_PRESENT`, `USER_NOT_PRESENT` The SCA context provided in the create request. Returned in the create response and when viewing the recipient if a `ScaContext` value was sent when the recipient was registered. Omitted otherwise. - `RecipientVerificationOfPayee` (RecipientVerificationOfPayee, optional, nullable) — Information about the [Verification of Payee (VOP)](/guides/vop) check performed on the Recipient. Because VOP only applies to SEPA local schemes, this object is returned `null` if the Recipient's `Currency` is not `EUR` or its `PayoutMethodType` is not `LocalBankTransfer`. - `PayoutMethodType` (string, optional) — **Returned values:** `InternationalBankTransfer` The payout method of the recipient: - `LocalBankTransfer` – The account can **only** receive the corresponding local `Currency` for the `Country` via the [domestic payment rail](/guides/payouts#payout-rails) (e.g. `EUR` via a SEPA local scheme to a SEPA country, `GBP` via FPS to a `GB` account, `USD` via ACH to a `US` account, etc). Payouts in non-local currencies return an error. - `InternationalBankTransfer` – The account can receive both non-local currencies via SWIFT and also local currency via domestic rails. - `RecipientType` (string, optional) — **Returned values:** `Business` The recipient type: - `Individual` – An account held by a natural person, requiring the `IndividualRecipient` property. - `Business` – An account held by a legal entity, requiring the `BusinessRecipient` property. - `BusinessRecipient` (BusinessRecipient_Response, optional) — The account holder if the `RecipientType` is `Business`. - `InternationalBankTransfer` (InternationalBankTransfer_Response, optional) — The account details if `PayoutMethodType` is `InternationalBankTransfer`. - `PendingUserAction` (PendingUserAction, optional, nullable) — SCA redirect information returned when registering an `OWNER` Recipient on creation. Returned `null` for `PAYIN`-scope recipients that don't trigger SCA. Omitted when viewing a recipient. ### CreateLocalIndividualRecipientResponse Response body for a Recipient where `PayoutMethodType` is `LocalBankTransfer` and `RecipientType` is `Individual`. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Status` (string, optional) — **Returned values:** `PENDING`, `CANCELED`, `ACTIVE`, `DEACTIVATED` The status of the recipient: - `PENDING` – For `PAYOUT` scope recipients, the user must complete SCA before the recipient can become `ACTIVE`. For `PAYIN` scope recipients, the recipient creation is in progress. - `CANCELED` – SCA was not successfully completed and the recipient creation request was canceled. To retry, create another recipient to retrieve another `PendingUserAction.RedirectUrl`. The `CANCELED` status does not apply if `RecipientScope` is `PAYIN`. - `ACTIVE` – Recipient creation was successful (including SCA if `RecipientScope` is `PAYOUT`) and the recipient is ready to be used for payouts. - `DEACTIVATED` – The recipient has been permanently deactivated and can no longer be used. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `DisplayName` (string, optional, nullable) — Length: 1–50; cannot contain: `&,'/` (pattern:`^(?!.*[&,'/]).{1,50}$`) A user-friendly name to identify the account. This value cannot be changed once the recipient is created. - `Currency` (string, optional) — **Possible values:** `AED`, `AUD`, `CAD`, `CHF`, `CNH`, `CZK`, `DKK`, `EUR`, `GBP`, `HKD`, `HUF`, `ILS`, `JPY`, `MXN`, `NOK`, `NZD`, `PLN`, `RON`, `SAR`, `SEK`, `SGD`, `TRY`, `USD`, `ZAR` The currency of the recipient. - `Country` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The destination country of the payout method. - `UserId` (string, optional) — The unique identifier of the user. - `RecipientScope` (string, optional) — **Returned values:** `PAYIN`, `PAYOUT` The scope of the recipient: - `PAYOUT` – Usable for payouts and in pay-in use cases. A `PAYOUT` recipient can only be created by a user with the `UserCategory` `OWNER` and requires SCA. - `PAYIN` - Not usable for payouts but only usable for pay-in use cases, such as direct debit and refunds using payouts. A `PAYIN` recipient can be created by a user with the `UserCategory` `PAYER` or `OWNER`, and does not require SCA. Both `PAYIN` and `PAYOUT` scopes can be created for either `InternationalBankTransfer` or `LocalBankTransfer`, and for either `IndividualRecipient` or `BusinessRecipient`, and for any `Currency`. - `Tag` (string, optional, nullable) — Max. length: 255 (pattern: `^.{0,255}$`) Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. This value cannot be edited once created. - `ScaContext` (string, optional) — **Returned values:** `USER_PRESENT`, `USER_NOT_PRESENT` The SCA context provided in the create request. Returned in the create response and when viewing the recipient if a `ScaContext` value was sent when the recipient was registered. Omitted otherwise. - `RecipientVerificationOfPayee` (RecipientVerificationOfPayee, optional, nullable) — Information about the [Verification of Payee (VOP)](/guides/vop) check performed on the Recipient. Because VOP only applies to SEPA local schemes, this object is returned `null` if the Recipient's `Currency` is not `EUR` or its `PayoutMethodType` is not `LocalBankTransfer`. - `PayoutMethodType` (string, optional) — **Returned values:** `LocalBankTransfer` The payout method of the recipient: - `LocalBankTransfer` – The account can **only** receive the corresponding local `Currency` for the `Country` via the [domestic payment rail](/guides/payouts#payout-rails) (e.g. `EUR` via a SEPA local scheme to a SEPA country, `GBP` via FPS to a `GB` account, `USD` via ACH to a `US` account, etc). Payouts in non-local currencies return an error. - `InternationalBankTransfer` – The account can receive both non-local currencies via SWIFT and also local currency via domestic rails. - `RecipientType` (string, optional) — **Returned values:** `Individual` The recipient type: - `Individual` – An account held by a natural person, requiring the `IndividualRecipient` property. - `Business` – An account held by a legal entity, requiring the `BusinessRecipient` property. - `IndividualRecipient` (IndividualRecipient_Response, optional) — The account holder if the `RecipientType` is `Individual`. - `LocalBankTransfer` (LocalBankTransferDetails, optional) — The account details if `PayoutMethodType` is `LocalBankTransfer`, depending on the `Currency`. One of: - `PendingUserAction` (PendingUserAction, optional, nullable) — SCA redirect information returned when registering an `OWNER` Recipient on creation. Returned `null` for `PAYIN`-scope recipients that don't trigger SCA. Omitted when viewing a recipient. ### CreateLocalBusinessRecipientResponse Response body for a Recipient where `PayoutMethodType` is `LocalBankTransfer` and `RecipientType` is `Business`. - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Status` (string, optional) — **Returned values:** `PENDING`, `CANCELED`, `ACTIVE`, `DEACTIVATED` The status of the recipient: - `PENDING` – For `PAYOUT` scope recipients, the user must complete SCA before the recipient can become `ACTIVE`. For `PAYIN` scope recipients, the recipient creation is in progress. - `CANCELED` – SCA was not successfully completed and the recipient creation request was canceled. To retry, create another recipient to retrieve another `PendingUserAction.RedirectUrl`. The `CANCELED` status does not apply if `RecipientScope` is `PAYIN`. - `ACTIVE` – Recipient creation was successful (including SCA if `RecipientScope` is `PAYOUT`) and the recipient is ready to be used for payouts. - `DEACTIVATED` – The recipient has been permanently deactivated and can no longer be used. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `DisplayName` (string, optional, nullable) — Length: 1–50; cannot contain: `&,'/` (pattern:`^(?!.*[&,'/]).{1,50}$`) A user-friendly name to identify the account. This value cannot be changed once the recipient is created. - `Currency` (string, optional) — **Possible values:** `AED`, `AUD`, `CAD`, `CHF`, `CNH`, `CZK`, `DKK`, `EUR`, `GBP`, `HKD`, `HUF`, `ILS`, `JPY`, `MXN`, `NOK`, `NZD`, `PLN`, `RON`, `SAR`, `SEK`, `SGD`, `TRY`, `USD`, `ZAR` The currency of the recipient. - `Country` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The destination country of the payout method. - `UserId` (string, optional) — The unique identifier of the user. - `RecipientScope` (string, optional) — **Returned values:** `PAYIN`, `PAYOUT` The scope of the recipient: - `PAYOUT` – Usable for payouts and in pay-in use cases. A `PAYOUT` recipient can only be created by a user with the `UserCategory` `OWNER` and requires SCA. - `PAYIN` - Not usable for payouts but only usable for pay-in use cases, such as direct debit and refunds using payouts. A `PAYIN` recipient can be created by a user with the `UserCategory` `PAYER` or `OWNER`, and does not require SCA. Both `PAYIN` and `PAYOUT` scopes can be created for either `InternationalBankTransfer` or `LocalBankTransfer`, and for either `IndividualRecipient` or `BusinessRecipient`, and for any `Currency`. - `Tag` (string, optional, nullable) — Max. length: 255 (pattern: `^.{0,255}$`) Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. This value cannot be edited once created. - `ScaContext` (string, optional) — **Returned values:** `USER_PRESENT`, `USER_NOT_PRESENT` The SCA context provided in the create request. Returned in the create response and when viewing the recipient if a `ScaContext` value was sent when the recipient was registered. Omitted otherwise. - `RecipientVerificationOfPayee` (RecipientVerificationOfPayee, optional, nullable) — Information about the [Verification of Payee (VOP)](/guides/vop) check performed on the Recipient. Because VOP only applies to SEPA local schemes, this object is returned `null` if the Recipient's `Currency` is not `EUR` or its `PayoutMethodType` is not `LocalBankTransfer`. - `PayoutMethodType` (string, optional) — **Returned values:** `LocalBankTransfer` The payout method of the recipient: - `LocalBankTransfer` – The account can **only** receive the corresponding local `Currency` for the `Country` via the [domestic payment rail](/guides/payouts#payout-rails) (e.g. `EUR` via a SEPA local scheme to a SEPA country, `GBP` via FPS to a `GB` account, `USD` via ACH to a `US` account, etc). Payouts in non-local currencies return an error. - `InternationalBankTransfer` – The account can receive both non-local currencies via SWIFT and also local currency via domestic rails. - `RecipientType` (string, optional) — **Returned values:** `Business` The recipient type: - `Individual` – An account held by a natural person, requiring the `IndividualRecipient` property. - `Business` – An account held by a legal entity, requiring the `BusinessRecipient` property. - `BusinessRecipient` (BusinessRecipient_Response, optional) — The account holder if the `RecipientType` is `Business`. - `LocalBankTransfer` (LocalBankTransferDetails, optional) — The account details if `PayoutMethodType` is `LocalBankTransfer`, depending on the `Currency`. One of: - `PendingUserAction` (PendingUserAction, optional, nullable) — SCA redirect information returned when registering an `OWNER` Recipient on creation. Returned `null` for `PAYIN`-scope recipients that don't trigger SCA. Omitted when viewing a recipient. ### IndividualRecipient_Request The account holder if the `RecipientType` is `Individual`. Only one of `IndividualRecipient` or `BusinessRecipient` is required. - `FirstName` (string, required) — Length: 1–255; cannot contain: `()&,.:_/` (Pattern: `^(?!.*[()&,.:_/]).{1,255}$`) The first name of the individual account holder. - `LastName` (string, required) — Length: 1–255; cannot contain: `()&,.:_/` (Pattern: `^(?!.*[()&,.:_/]).{1,255}$`) The last name of the individual account holder. - `Address` (Address_Recipient_Request, required) — Information about the address. ### InternationalBankTransfer_Request The account details if `PayoutMethodType` is `InternationalBankTransfer`. Only one of `InternationalBankTransfer` or `LocalBankTransfer` is required. The `InternationalBankTransfer` depends on the `Currency` and `Country`. - `AccountNumber` (string, required) — Format: The format returned by the [schema](/api-reference/recipients/view-recipient-schema) endpoint depending on the `Currency` and `Country`. The account number of the account. For IBAN countries, the `AccountNumber` format is the local IBAN one. For other countries, the format depends on the `Country` and should be retrieved from the [GET View the schema for a Recipient](/api-reference/recipients/view-recipient-schema) endpoint. - `BIC` (string, optional) — Format: The format returned by the [schema](/api-reference/recipients/view-recipient-schema) endpoint depending on the `Currency` and `Country`. The BIC of the account. For countries that don't use IBAN, the `BIC` is required. For countries that use IBAN, this field is ignored because the BIC is generated automatically from the IBAN and returned in the response. ### BusinessRecipient_Request The account holder if the `RecipientType` is `Business`. Only one of `IndividualRecipient` or `BusinessRecipient` is required. - `BusinessName` (string, required) — Length: 1–255; cannot contain: `(),.:/` (Pattern: `^(?!.*[(),.:/]).{1,255}$`) The name of the business account holder. - `Address` (Address_Recipient_Request, required) — Information about the address. ### LocalBankTransfer_Request The account details if `PayoutMethodType` is `LocalBankTransfer`, depending on the `Currency`. Exactly one currency property must be set, matching the request `Currency` value. - `AUD` (LocalBankTransfer_AUD_Request, optional) — Local bank transfer details for `Currency` value `AUD`. - `CAD` (LocalBankTransfer_CAD_Request, optional) — Local bank transfer details for `Currency` value `CAD`. - `CHF` (LocalBankTransfer_IBAN_Request, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `CZK` (LocalBankTransfer_IBAN_Request, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `DKK` (LocalBankTransfer_IBAN_Request, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `EUR` (LocalBankTransfer_IBAN_Request, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `GBP` (LocalBankTransfer_GBP_Request, optional) — Local bank transfer details for `Currency` value `GBP`. - `HKD` (LocalBankTransfer_HKD_Request, optional) — Local bank transfer details for `Currency` value `HKD`. - `HUF` (LocalBankTransfer_IBAN_Request, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `MXN` (LocalBankTransfer_MXN_Request, optional) — Local bank transfer details for `Currency` value `MXN`. - `NOK` (LocalBankTransfer_IBAN_Request, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `PLN` (LocalBankTransfer_IBAN_Request, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `RON` (LocalBankTransfer_IBAN_Request, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `SEK` (LocalBankTransfer_IBAN_Request, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `SGD` (LocalBankTransfer_SGD_Request, optional) — Local bank transfer details for `Currency` value `SGD`. - `TRY` (LocalBankTransfer_TRY_Request, optional) — Local bank transfer details for `Currency` value `TRY`. - `USD` (LocalBankTransfer_USD_Request, optional) — Local bank transfer details for `Currency` value `USD`. ### RecipientVerificationOfPayee Information about the [Verification of Payee (VOP)](/guides/vop) check performed on the Recipient. Because VOP only applies to SEPA local schemes, this object is returned `null` if the Recipient's `Currency` is not `EUR` or its `PayoutMethodType` is not `LocalBankTransfer`. - `RecipientVerificationId` (string, optional, nullable) — The unique identifier of the VOP check. This value may be `null` if the check could not be performed. - `RecipientVerificationCheck` (string, optional, nullable) — **Possible values:** `MATCH`, `CLOSE_MATCH`, `NO_MATCH`, `MATCH_NOT_POSSIBLE` The result of the VOP check: - `MATCH` – The account is valid and the account name matches the IBAN. - `CLOSE_MATCH` – The account is valid but the name doesn't match exactly. - `NO_MATCH` – This account likely belongs to a different owner. - `MATCH_NOT_POSSIBLE` – The check could not be completed. - `RecipientVerificationMessage` (string, optional, nullable) — A human-readable message describing the result of the `RecipientVerificationCheck`: * If `MATCH`, then `Account name fully matches account identifier.` * If `CLOSE_MATCH`, then `Account name partially matches account identifier. Name returned by check: {Name}. Payment made to this account may not reach its intended counterparty.` * If `NO_MATCH`, then `Account name does not matches account identifier. Payment made to this account may not reach its intended counterparty.` * If `MATCH_NOT_POSSIBLE`, then `Account name does not matches account identifier. Payment made to this account may not reach its intended counterparty.` - `RecipientVerificationPayeeSuggestedName` (string, optional, nullable) — The name returned by the check in case of a `CLOSE_MATCH` result, which can be used to re-register the Recipient. This property is not returned on the check performed on a Payout request, even if the result is `CLOSE_MATCH`. ### IndividualRecipient_Response The account holder if the `RecipientType` is `Individual`. - `FirstName` (string, optional) — Length: 1–255; cannot contain: `()&,.:_/` (Pattern: `^(?!.*[()&,.:_/]).{1,255}$`) The first name of the individual account holder. - `LastName` (string, optional) — Length: 1–255; cannot contain: `()&,.:_/` (Pattern: `^(?!.*[()&,.:_/]).{1,255}$`) The last name of the individual account holder. - `Address` (Address_Recipient, optional) — Information about the address. ### InternationalBankTransfer_Response The account details if `PayoutMethodType` is `InternationalBankTransfer`. - `AccountNumber` (string, optional) — The account number of the account. - `BIC` (string, optional) — The BIC of the account. For IBAN countries, the returned `BIC` is generated from the IBAN. ### PendingUserAction Object containing the `RedirectUrl` needed for SCA redirection if triggered by the API call (otherwise returned `null`). - `RedirectUrl` (string, optional) — The URL to which to redirect the user to perform strong customer authentication (SCA) via a Mangopay-hosted webpage. This value is a variable and should not be hardcoded. The SCA session link expires 10 minutes after it's generated. **Caution:** Before redirecting the user on this URL, you must add the query parameter `ReturnUrl` with the percent-encoded URL to which you want the SCA session to return the user after authentication (whether successful or not). For more details, see [How to redirect a user for an SCA session](/guides/sca/session#how-to-redirect-a-user-for-sca). ### BusinessRecipient_Response The account holder if the `RecipientType` is `Business`. - `BusinessName` (string, optional) — Length: 1–255; cannot contain: `(),.:/` (Pattern: `^(?!.*[(),.:/]).{1,255}$`) The name of the business account holder. - `Address` (Address_Recipient, optional) — Information about the address. ### LocalBankTransferDetails The account details if `PayoutMethodType` is `LocalBankTransfer`, depending on the `Currency`. One of: - `AUD` (LocalBankTransfer_AUD, optional) — Local bank transfer details for `Currency` value `AUD`. - `CAD` (LocalBankTransfer_CAD, optional) — Local bank transfer details for `Currency` value `CAD`. - `CHF` (LocalBankTransfer_IBAN, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `CZK` (LocalBankTransfer_IBAN, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `DKK` (LocalBankTransfer_IBAN, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `EUR` (LocalBankTransfer_IBAN, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `GBP` (LocalBankTransfer_GBP, optional) — Local bank transfer details for `Currency` value `GBP`. - `HKD` (LocalBankTransfer_HKD, optional) — Local bank transfer details for `Currency` value `HKD`. - `HUF` (LocalBankTransfer_IBAN, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `MXN` (LocalBankTransfer_MXN, optional) — Local bank transfer details for `Currency` value `MXN`. - `NOK` (LocalBankTransfer_IBAN, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `PLN` (LocalBankTransfer_IBAN, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `RON` (LocalBankTransfer_IBAN, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `SEK` (LocalBankTransfer_IBAN, optional) — Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `SGD` (LocalBankTransfer_SGD, optional) — Local bank transfer details for `Currency` value `SGD`. - `TRY` (LocalBankTransfer_TRY, optional) — Local bank transfer details for `Currency` value `TRY`. - `USD` (LocalBankTransfer_USD, optional) — Local bank transfer details for `Currency` value `USD`. ### Address_Recipient_Request Information about the address. - `AddressLine1` (string, required) — Length: 1–255; cannot contain: `()/` (Pattern: `^(?!.*[()/]).{1,255}$`) The first line of the address. - `City` (string, required) — Length: 1-80; cannot contain: `&,.:_'` (pattern: `^(?!.*[&,.:_]).{1,80}$`) The city of the address. - `PostalCode` (string, required) — Length: 1–10; cannot contain: `()&,.:_'/` (pattern: `^(?!.*[()&,.:_'/]).{1,10}$`) The postal code of the address. - `Country` (string, required) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The country of the address. - `AddressLine2` (string, optional) — Length: 1–255; cannot contain: `()/` (Pattern: `^(?!.*[()/]).{1,255}$`) The second line of the address. - `Region` (string, optional) — Length: 1–10; cannot contain: `&,.:_'-/` (pattern: `^(?!.*[&,.:_/]).{1,50}$`) Required for `Country` values: `MX`, `US`, `CA` The region of the address. ### LocalBankTransfer_AUD_Request Local bank transfer details for `Currency` value `AUD`. - `BSB` (string, required) — Format: 6 digits, optionally with a hyphen after the first 3 (pattern: `^\d{3}-?\d{3}$`). The BSB (Bank State Branch) number of the Australian account. - `AccountNumber` (string, required) — Format: 5–10 numeric digits (pattern: `^\d{5,10}$`). The account number of the Australian account. ### LocalBankTransfer_CAD_Request Local bank transfer details for `Currency` value `CAD`. - `AccountNumber` (string, required) — Format: 7–35 digits (pattern: `^\d{7,35}$`). The account number of the Canadian account. - `InstitutionNumber` (string, required) — Format: 3 digits (pattern: `^\d{3}$`). The institution number of the Canadian account. - `BranchCode` (string, required) — Format: 5 digits (pattern: `^\d{5}$`). The branch code of the Canadian account. - `BankName` (string, required) — Length: 1–50. The bank name of the Canadian account. ### LocalBankTransfer_IBAN_Request Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `IBAN` (string, required) — Format: A valid IBAN (pattern: `^[a-zA-Z]{2}\d{2}\s*(\w{4}\s*){2,7}\w{1,4}\s*$`). The IBAN of the account. ### LocalBankTransfer_GBP_Request Local bank transfer details for `Currency` value `GBP`. - `AccountNumber` (string, required) — Format: 8 digits (pattern: `^\d{8}$`). The account number of the UK account. - `SortCode` (string, required) — Format: 6 digits (pattern: `^\d{6}$`). The sort code of the UK account. ### LocalBankTransfer_HKD_Request Local bank transfer details for `Currency` value `HKD`. - `BankCode` (string, required) — Format: exactly 3 characters (pattern: `^.{3}$`). The bank code of the Hong Kong account. - `BranchCode` (string, required) — Format: exactly 3 characters (pattern: `^.{3}$`). The branch code of the Hong Kong account. - `AccountNumber` (string, required) — Format: 6–9 numeric digits (pattern: `^\d{6,9}$`). The account number of the Hong Kong account. - `BIC` (string, required) — Format: 8 or 11 alphanumeric characters. The BIC of the Hong Kong account. ### LocalBankTransfer_MXN_Request Local bank transfer details for `Currency` value `MXN`. - `Clabe` (string, required) — Format: exactly 18 numeric digits (pattern: `^\d{18}$`). The CLABE (Clave Bancaria Estandarizada) of the Mexican account. - `BIC` (string, required) — Format: 8 or 11 alphanumeric characters. The BIC of the Mexican account. ### LocalBankTransfer_SGD_Request Local bank transfer details for `Currency` value `SGD`. - `BankCode` (string, required) — Format: 3–4 numeric digits (pattern: `^\d{3,4}$`). The bank code of the Singaporean account. - `AccountNumber` (string, required) — Format: 6–34 alphanumeric characters (pattern: `^[0-9a-zA-Z]{6,34}$`). The account number of the Singaporean account. - `BIC` (string, required) — Format: 8 or 11 alphanumeric characters. The BIC of the Singaporean account. ### LocalBankTransfer_TRY_Request Local bank transfer details for `Currency` value `TRY`. - `IBAN` (string, required) — Format: 26 alphanumeric characters, starting with `TR` (pattern: `^TR[a-zA-Z0-9]{24}$`). The IBAN of the Turkish account. - `BeneficiaryIdentificationValue` (string, optional) — Format: 10–11 alphanumeric characters (pattern: `^[a-zA-Z0-9]{10,11}$`). Optional if the Recipient's `RecipientType` is `Individual`; required if `Business`. The Turkish national identification number (for an individual beneficiary) or tax identification number (for a business beneficiary). ### LocalBankTransfer_USD_Request Local bank transfer details for `Currency` value `USD`. - `AccountNumber` (string, required) — Format: 8–12 alphanumeric characters (pattern: `^[0-9a-zA-Z]{8,12}$`). The account number of the US account. - `ABA` (string, required) — Format: 9 digits (pattern: `^\d{9}$`). The ABA routing number of the US account. - `FFC` (string, optional) — Format: 8-12 digits then `FFC` then a space then a string of characters up to 140 total length (pattern: `^(?=.{0,140}$)[0-9]{8,12}/FFC [0-9a-zA-Z/\-?:().,'+ ]+$`). FFC transfer information for the US account. ### Address_Recipient Information about the address. - `AddressLine1` (string, optional) — Length: 1–255; cannot contain: `()/` (Pattern: `^(?!.*[()/]).{1,255}$`) The first line of the address. - `AddressLine2` (string, optional, nullable) — Length: 1–255; cannot contain: `()/` (Pattern: `^(?!.*[()/]).{1,255}$`) The second line of the address. Parameter only returned if sent. - `City` (string, optional) — Length: 1-80; cannot contain: `&,.:_'` (pattern: `^(?!.*[&,.:_]).{1,80}$`) The city of the address. - `Region` (string, optional, nullable) — Length: 1–10; cannot contain: `&,.:_'-/` (pattern: `^(?!.*[&,.:_/]).{1,50}$`) The region of the address. Parameter only returned if sent. - `PostalCode` (string, optional) — Length: 1–10; cannot contain: `()&,.:_'/` (pattern: `^(?!.*[()&,.:_'/]).{1,10}$`) The postal code of the address. - `Country` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The country of the address. ### LocalBankTransfer_AUD Local bank transfer details for `Currency` value `AUD`. - `BSB` (string, optional) — Format: 6 digits, optionally with a hyphen after the first 3 (pattern: `^\d{3}-?\d{3}$`). The BSB (Bank State Branch) number of the Australian account. - `AccountNumber` (string, optional) — Format: 5–10 numeric digits (pattern: `^\d{5,10}$`). The account number of the Australian account. ### LocalBankTransfer_CAD Local bank transfer details for `Currency` value `CAD`. - `AccountNumber` (string, optional) — Format: 7–35 digits (pattern: `^\d{7,35}$`). The account number of the Canadian account. - `InstitutionNumber` (string, optional) — Format: 3 digits (pattern: `^\d{3}$`). The institution number of the Canadian account. - `BranchCode` (string, optional) — Format: 5 digits (pattern: `^\d{5}$`). The branch code of the Canadian account. - `BankName` (string, optional) — Length: 1–50. The bank name of the Canadian account. ### LocalBankTransfer_IBAN Local bank transfer details for IBAN-based currencies (`CHF`, `CZK`, `DKK`, `EUR`, `HUF`, `NOK`, `PLN`, `RON`, `SEK`). - `IBAN` (string, optional) — Format: A valid IBAN (pattern: `^[a-zA-Z]{2}\d{2}\s*(\w{4}\s*){2,7}\w{1,4}\s*$`). The IBAN of the account. - `BIC` (string, optional) — The BIC of the account. For IBAN countries, the returned `BIC` is generated from the IBAN. ### LocalBankTransfer_GBP Local bank transfer details for `Currency` value `GBP`. - `AccountNumber` (string, optional) — Format: 8 digits (pattern: `^\d{8}$`). The account number of the UK account. - `SortCode` (string, optional) — Format: 6 digits (pattern: `^\d{6}$`). The sort code of the UK account. ### LocalBankTransfer_HKD Local bank transfer details for `Currency` value `HKD`. - `BankCode` (string, optional) — Format: exactly 3 characters (pattern: `^.{3}$`). The bank code of the Hong Kong account. - `BranchCode` (string, optional) — Format: exactly 3 characters (pattern: `^.{3}$`). The branch code of the Hong Kong account. - `AccountNumber` (string, optional) — Format: 6–9 numeric digits (pattern: `^\d{6,9}$`). The account number of the Hong Kong account. - `BIC` (string, optional) — Format: 8 or 11 alphanumeric characters. The BIC of the Hong Kong account. ### LocalBankTransfer_MXN Local bank transfer details for `Currency` value `MXN`. - `Clabe` (string, optional) — Format: exactly 18 numeric digits (pattern: `^\d{18}$`). The CLABE (Clave Bancaria Estandarizada) of the Mexican account. - `BIC` (string, optional) — Format: 8 or 11 alphanumeric characters. The BIC of the Mexican account. ### LocalBankTransfer_SGD Local bank transfer details for `Currency` value `SGD`. - `BankCode` (string, optional) — Format: 3–4 numeric digits (pattern: `^\d{3,4}$`). The bank code of the Singaporean account. - `AccountNumber` (string, optional) — Format: 6–34 alphanumeric characters (pattern: `^[0-9a-zA-Z]{6,34}$`). The account number of the Singaporean account. - `BIC` (string, optional) — Format: 8 or 11 alphanumeric characters. The BIC of the Singaporean account. ### LocalBankTransfer_TRY Local bank transfer details for `Currency` value `TRY`. - `IBAN` (string, optional) — Format: 26 alphanumeric characters, starting with `TR` (pattern: `^TR[a-zA-Z0-9]{24}$`). The IBAN of the Turkish account. - `BeneficiaryIdentificationValue` (string, optional) — Format: 10–11 alphanumeric characters (pattern: `^[a-zA-Z0-9]{10,11}$`). Optional if the Recipient's `RecipientType` is `Individual`; required if `Business`. The Turkish national identification number (for an individual beneficiary) or tax identification number (for a business beneficiary). ### LocalBankTransfer_USD Local bank transfer details for `Currency` value `USD`. - `AccountNumber` (string, optional) — Format: 8–12 alphanumeric characters (pattern: `^[0-9a-zA-Z]{8,12}$`). The account number of the US account. - `ABA` (string, optional) — Format: 9 digits (pattern: `^\d{9}$`). The ABA routing number of the US account. - `FFC` (string, optional) — Format: 8-12 digits then `FFC` then a space then a string of characters up to 140 total length (pattern: `^(?=.{0,140}$)[0-9]{8,12}/FFC [0-9a-zA-Z/\-?:().,'+ ]+$`). FFC transfer information for the US account. ## Examples ### VOP: EUR, local, individual, PAYOUT **Request** ```json { "body": { "Country": "DE", "Currency": "EUR", "DisplayName": "John Doe EUR DE account", "IndividualRecipient": { "Address": { "AddressLine1": "Oranienburger Str. 87", "City": "Berlin", "Country": "DE", "PostalCode": "10178" }, "FirstName": "John", "LastName": "Doe" }, "LocalBankTransfer": { "EUR": { "IBAN": "DE75512108001245126199" } }, "PayoutMethodType": "LocalBankTransfer", "RecipientScope": "PAYOUT", "RecipientType": "Individual", "ScaContext": "USER_PRESENT", "Tag": "Created using the Mangopay API Postman collection" } } ``` **Response** ```json { "Country": "DE", "CreationDate": 1759228005, "Currency": "EUR", "DisplayName": "John Doe EUR DE account", "Id": "rec_01K6D2J3683015F5D3M81JEXRH", "IndividualRecipient": { "Address": { "AddressLine1": "Oranienburger Str. 87", "City": "Berlin", "Country": "DE", "PostalCode": "10178" }, "FirstName": "John", "LastName": "Doe" }, "LocalBankTransfer": { "EUR": { "BIC": "SOGEDEFFXXX", "IBAN": "DE75512108001245126199" } }, "PayoutMethodType": "LocalBankTransfer", "PendingUserAction": { "RedirectUrl": "https://sca.sandbox.mangopay.com/?token=sca_01999a290f06700b992580d3450609a0" }, "RecipientScope": "PAYOUT", "RecipientType": "Individual", "RecipientVerificationOfPayee": { "RecipientVerificationCheck": "MATCH", "RecipientVerificationId": "46fa0ccc-6cb0-4874-95ba-9edbc6cf7904", "RecipientVerificationMessage": "Account name fully matches account identifier." }, "ScaContext": "USER_PRESENT", "Status": "PENDING", "Tag": "Created using the Mangopay API Postman collection", "UserId": "user_m_01K5Y4XQA9HESYF8S9V70K16XH" } ``` ### EUR, international, business, PAYOUT **Request** ```json { "body": { "BusinessRecipient": { "Address": { "AddressLine1": "3 rue de la Cité", "AddressLine2": "Appartement 7", "City": "Paris", "Country": "FR", "PostalCode": "75001", "Region": "Ile de France" }, "BusinessName": "Alex Smith Consulting" }, "Country": "FR", "Currency": "EUR", "DisplayName": "Alex Smith EUR IBAN account", "InternationalBankTransfer": { "AccountNumber": "FR7630004000031234567890143" }, "PayoutMethodType": "InternationalBankTransfer", "RecipientType": "Business", "ScaContext": "USER_PRESENT", "Tag": "Created using the Mangopay API Postman collection" } } ``` **Response** ```json { "BusinessRecipient": { "Address": { "AddressLine1": "3 rue de la Cité", "AddressLine2": "Appartement 7", "City": "Paris", "Country": "FR", "PostalCode": "75001", "Region": "Ile de France" }, "BusinessName": "Alex Smith Consulting" }, "Country": "FR", "CreationDate": 1744106896, "Currency": "EUR", "DisplayName": "Alex Smith EUR international payout account", "Id": "rec_01JRADYFJYPFM10XPQ8VFWW947", "InternationalBankTransfer": { "AccountNumber": "FR7630004000031234567890143", "BIC": "BNPAFRPPXXX" }, "PayoutMethodType": "InternationalBankTransfer", "PendingUserAction": { "RedirectUrl": "https://sca.sandbox.mangopay.com/?token=sca_019614df3f3b7b08847111a76d9f9924" }, "RecipientScope": "PAYOUT", "RecipientType": "Business", "ScaContext": "USER_PRESENT", "Status": "PENDING", "Tag": "Created using the Mangopay API Postman collection", "UserId": "user_m_01JRADX7YD0060N5VAA0XPMM54" } ``` ### GBP, local, individual, PAYIN **Request** ```json { "body": { "Country": "GB", "Currency": "GBP", "DisplayName": "Alex Smith GBP local pay-in account", "IndividualRecipient": { "Address": { "AddressLine1": "10 Kingsway", "City": "London", "Country": "GB", "PostalCode": "WC2B 6LH" }, "FirstName": "Alex", "LastName": "Smith" }, "LocalBankTransfer": { "GBP": { "AccountNumber": "55779911", "SortCode": "200000" } }, "PayoutMethodType": "LocalBankTransfer", "RecipientScope": "PAYIN", "RecipientType": "Individual", "Tag": "Created using the Mangopay API Postman collection" } } ``` **Response** ```json { "Country": "GB", "CreationDate": 1744106716, "Currency": "GBP", "DisplayName": "Alex Smith GBP local pay-in account", "Id": "rec_01JRADRZMVZ12VXYV1A3DDX6JM", "IndividualRecipient": { "Address": { "AddressLine1": "10 Kingsway", "City": "London", "Country": "GB", "PostalCode": "WC2B 6LH" }, "FirstName": "Alex", "LastName": "Smith" }, "LocalBankTransfer": { "GBP": { "AccountNumber": "55779911", "SortCode": "200000" } }, "PayoutMethodType": "LocalBankTransfer", "RecipientScope": "PAYIN", "RecipientType": "Individual", "Status": "PENDING", "Tag": "Created using the Mangopay API Postman collection", "UserId": "user_m_01JRADQMWEKV9X7C683MYQMQCN" } ```